backend:
    name: github
    branch: main


# change url to a link to the image you want to use, no file paths, must be a URL
logo_url: ""

media_folder: "src/assets/images"
public_folder: "/assets/images"

collections:
    - name: "hero"
      label: "Hero"
      label_singular: "Hero Section"
      folder: "src/content/hero"
      create: true
      slug: "{{slug}}"
      fields:
      - { label: "Tags", name: "tags", widget: "hidden", default: ["hero"] }
      - { label: "Topper", name: "topper", widget: "string" }
      - { label: "Title", name: "title", widget: "string" }
      - { label: "Description", name: "description", widget: "text" }
      - label: "Buttons"
        name: "buttons"
        widget: "list"
        fields:
          - { label: "Text", name: "text", widget: "string" }
          - { label: "URL", name: "url", widget: "string" }
          - { label: "Type", name: "type", widget: "select", options: ["solid", "transparent"] }
      - label: "Background Image"
        name: "background_image"
        widget: "object"
        fields:
          - { label: "Desktop", name: "desktop", widget: "image" }
          - { label: "Alt", name: "alt", widget: "string" }
    - name: "services"
      label: "Services"
      folder: "src/content/services"
      fields:
        - label: "Tags"
          name: "tags"
          widget: "hidden"
          default: ["services"]
        - label: "Services"
          name: "services"
          widget: "list"
          fields:
            - { label: "Title", name: "title", widget: "string" }
            - { label: "Description", name: "description", widget: "text" }
            - { label: "Icon", name: "icon", widget: "image" }
    - name: "aboutsection"
      label: "About Section"
      folder: "src/content/aboutsection"
      create: true
      fields:
        - label: "Tags"
          name: "tags"
          widget: "hidden"
          default: ["aboutsection"]
        - label: "Side By Side Section"
          name: "side_by_side"
          widget: "object"
          fields:
            - label: "Topper"
              name: "topper"
              widget: "string"
            - label: "Title"
              name: "title"
              widget: "string"
            - label: "Description"
              name: "description"
              widget: "text"
            - label: "Additional Paragraph"
              name: "additional_text"
              widget: "text"
            - label: "Left Image"
              name: "left_image"
              widget: "image"
            - label: "Right Image"
              name: "right_image"
              widget: "image"
            - label: "Testimonial"
              name: "testimonial"
              widget: "object"
              fields:
                - label: "Quote"
                  name: "quote"
                  widget: "text"
                - label: "Author"
                  name: "author"
                  widget: "string"
                - label: "Job Title"
                  name: "job_title"
                  widget: "string"
    - name: "gallery"
      label: "Gallery"
      folder: "src/content/gallery"
      create: true
      slug: "{{slug}}"
      fields:
        - { label: "Gallery Title", name: "title", widget: "string" }
        - { label: "Tags", name: "tags", widget: "hidden", default: "gallery" }
        - name: "images"
          label: "Gallery Images"
          widget: "list"
          fields:
            - { label: "Image", name: "image", widget: "image" }
            - { label: "Alt Text", name: "alt", widget: "string" }
            - { label: "Order", name: "order", widget: "number" }
    - name: "blog"
      label: "Blog"
      folder: "src/content/blog"
      create: true
      slug: "{{slug}}"
      fields:
          - { label: "Title", name: "title", widget: "string" }
          - {
                label: "URL Slug",
                name: "url",
                widget: "string",
                hint: 'Specify where the page will be written to. If you use "Blog Post", the post will be accessible from "blog/blog-post"',
            }
          - { label: "Description", name: "description", widget: "string" }
          - { label: "Author", name: "author", widget: "string" }
          - { label: "Date", name: "date", widget: "datetime" }
          - { label: "Tags", name: "tags", widget: "list", default: ["post"] }
          - { label: "Featured Image", name: "image", widget: "image" }
          - { label: "Image Caption", name: "imageAlt", widget: "string" }
          - { label: "Body", name: "body", widget: "markdown" }
    - name: "reviews"
      label: "Review"
      folder: "src/content/reviews"
      create: true
      fields:
        - label: "Tags"
          name: "tags"
          widget: "hidden"
          default: ["reviews"]
        - label: "Reviews"
          name: "reviews"
          widget: "list"
          fields:
            - label: "Reviewer Name"
              name: "reviewer"
              widget: "string"
            - label: "Description"
              name: "desc"
              widget: "string"
            - label: "Review Text"
              name: "text"
              widget: "text"
            - label: "Profile Picture"
              name: "image"
              widget: "image"
            - label: "Star Rating Image"
              name: "stars"
              widget: "image"
    - name: "cta"
      label: "Call to Action"
      folder: "src/content/cta"
      create: true
      slug: "{{slug}}"
      fields:
        - label: "Heading"
          name: "heading"
          widget: "string"
          hint: "Enter the main heading for the CTA section"
          required: true
        - label: "Description"
          name: "description"
          widget: "text"
          hint: "Enter a short description or message to encourage users to click the button"
          required: true
        - label: "Button Text"
          name: "button_text"
          widget: "string"
          hint: "Text that will appear on the CTA button"
          required: true
        - label: "Button Link"
          name: "button_link"
          widget: "string"
          hint: "URL for the button link (e.g., /contact)"
          required: true
        - label: "Image (Desktop)"
          name: "image_desktop"
          widget: "image"
          hint: "Upload the image to be displayed on larger screens"
          required: true
        - label: "Image (Mobile)"
          name: "image_mobile"
          widget: "image"
          hint: "Upload the image to be displayed on smaller screens"
          required: false
    - name: "footer"
      label: "Footer"
      folder: "src/content/footer"
      create: true
      slug: "{{slug}}"
      fields:
        - { label: "Description", name: "description", widget: "string", default: "Extra content if you need it, if not you can delete this whole p tag. I usually do." }
        - label: "Information Links"
          name: "information_links"
          widget: "list"
          fields:
            - { label: "Text", name: "text", widget: "string" }
            - { label: "URL", name: "url", widget: "string" }
        - label: "Services"
          name: "services"
          widget: "list"
          field:
            label: "Service Name"
            name: "service_name"
            widget: "string"
            hint: "Optional"  
            required: false
        - label: "Contact Information"
          name: "contact_info"
          widget: "object"
          fields:
            - { label: "Address Line 1", name: "lineOne", widget: "string" }
            - { label: "Address Line 2", name: "lineTwo", widget: "string", required: false }
            - { label: "City", name: "city", widget: "string" }
            - { label: "State", name: "state", widget: "string" }
            - { label: "Zip Code", name: "zip", widget: "string" }
            - { label: "Phone for Tel", name: "phoneForTel", widget: "string" }
            - { label: "Phone (Formatted)", name: "phoneFormatted", widget: "string" }
            - { label: "Email", name: "email", widget: "string" }
        - label: "Credit"
          name: "credit"
          widget: "object"
          fields:
            - { label: "Copyright Start Year", name: "copyrightStartYear", widget: "string", default: "2024" }
    - name: "about"
      label: "About Page"
      folder: "src/content/about"
      create: true
      fields:
        - label: "Tags"
          name: "tags"
          widget: "hidden"
          default: ["aboutpage"]
        - label: "Hero Section"
          name: "hero"
          widget: "object"
          fields:
            - label: "Title"
              name: "title"
              widget: "string"
            - label: "Hero Image"
              name: "image_desktop"
              widget: "image"
        - label: "Side By Side Section"
          name: "side_by_side"
          widget: "object"
          fields:
            - label: "Topper"
              name: "topper"
              widget: "string"
            - label: "Title"
              name: "title"
              widget: "string"
            - label: "Description"
              name: "description"
              widget: "text"
            - label: "Additional Paragraph"
              name: "additional_text"
              widget: "text"
            - label: "Left Image"
              name: "left_image"
              widget: "image"
            - label: "Right Image"
              name: "right_image"
              widget: "image"
            - label: "Testimonial"
              name: "testimonial"
              widget: "object"
              fields:
                - label: "Quote"
                  name: "quote"
                  widget: "text"
                - label: "Author"
                  name: "author"
                  widget: "string"
                - label: "Job Title"
                  name: "job_title"
                  widget: "string"
    - name: "reviewpage"
      label: "Reviews Page"
      folder: "src/content/reviewpage"
      create: true
      fields:
        - label: "Hero Section"
          name: "hero"
          widget: "object"
          fields:
            - label: "Title"
              name: "title"
              widget: "string"
            - label: "Hero Image"
              name: "image_desktop"
              widget: "image"
        - label: "Reviews"
          name: "reviews"
          widget: "list"
          fields:
            - label: "Profile Image"
              name: "profile_image"
              widget: "image"
            - label: "Review Text"
              name: "review_text"
              widget: "text"
            - label: "Reviewer Name"
              name: "reviewer_name"
              widget: "string"
            - label: "Reviewer Title"
              name: "reviewer_title"
              widget: "string"
    - name: "contact"
      label: "Contact Page"
      folder: "src/content/contactpage"
      create: true
      fields:
        - label: "Hero Section"
          name: "hero"
          widget: "object"
          fields:
            - label: "Title"
              name: "title"
              widget: "string"
            - label: "Hero Image"
              name: "image_desktop"
              widget: "image"
        - label: "Contact Input Section"
          name: "contact"
          widget: "object"
          fields:
            - label: "Topper"
              name: "topper"
              widget: "string"
            - label: "Title"
              name: "title"
              widget: "string"
            - label: "Text"
              name: "text"
              widget: "text"
        - label: "Contact Information"
          name: "contact_info"
          widget: "object"
          fields:
            - label: "Phone (Formatted)"
              name: "phoneFormatted"
              widget: "string"
            - label: "Phone (Tel)"
              name: "phoneForTel"
              widget: "string"
            - label: "Zip"
              name: "zip"
              widget: "string"
            - label: "City"
              name: "city"
              widget: "string"
            - label: "State"
              name: "state"
              widget: "string"
            - label: "Email"
              name: "email"
              widget: "string"
        - label: "Background Image"
          name: "background_image"
          widget: "image"
